Bug 1083523 - [RFE] use MIME launch as the default console mode
Summary: [RFE] use MIME launch as the default console mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Tomas Jelinek
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-02 11:56 UTC by Michal Skrivanek
Modified: 2016-03-09 20:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Previously, Red Hat Enterprise Virtualization provided three ways to access a virtual machine graphical console from web portals: using an ActiveX/Firefox SPICE plugin, .vv file MIME type association to remote-viewer (called Native in the user interface), and web-based clients (technology preview). In this version of Red Hat Enterprise Virtualization, the browser-specific plugins have been deprecated in favor of more universal generic .vv file association, which allows for more flexibility (for example, using custom VNC viewers to view the console) and does not suffer from frequent browser changes and instabilities. As a result, the default SPICE console mode has changed in new installations, which now default to the Native setting in the user interface. For existing installations that are upgraded this value is not changed, but can be configured by the global ClientModeSpiceDefault parameter with the engine-config tool.
Clone Of:
Environment:
Last Closed: 2016-03-09 20:44:30 UTC
oVirt Team: Virt
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 40605 master MERGED core: use native launch as the default console mode Never

Description Michal Skrivanek 2014-04-02 11:56:55 UTC
For 3.4 cluster level change console default to mime launch (don't change existing installations)

Comment 1 Andrew Cathrow 2014-04-22 17:01:20 UTC
What's the status of foreign menu support?

Comment 2 Michal Skrivanek 2014-04-25 14:49:34 UTC
There is some progress on SPICE side, but not there yet.
we're talking about the Exit reason and "Change CD" foreign menu…

it may be still premature to switch

OTOH I'm not aware of complaints once people seem to adopt EL 6.5. Maybe they don't miss it much (the current change cd has few bugs limiting it's usability anyway)

Comment 6 Tomas Jelinek 2015-05-07 05:41:39 UTC
Fixed, the current behavior is like this: 
- for existing installations (update) this value is not touched at all
- for new installations the Native is set to default

Comment 10 Shira Maximov 2015-10-12 13:08:40 UTC
verified on : Red Hat Enterprise Virtualization Manager Version: 3.6.0-0.18.el6

link to test run: 
https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=3_6_VIRT_use_MIME_launch_as_the_default_console12_10

Comment 12 errata-xmlrpc 2016-03-09 20:44:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.